curl --request GET \
--url https://api.ironflow.sh/v1/liquidations/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ironflow.sh/v1/liquidations/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ironflow.sh/v1/liquidations/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/liquidations/stream",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/liquidations/stream"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/liquidations/stream")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/liquidations/stream")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyretry: 3000
: connected
id: 1718400000000-1
event: liquidation
data: {"source":"hyperliquid","market":"BTC-PERP","issuer":"","base_market":"BTC-PERP","market_type":"perp","timestamp":1718400000000,"block_number":12345678,"address":"0xabc123","side":"sell","price":"67380.00","size":"2.5","account_value":"0.00","leverage_type":"cross","bankrupt":false,"sequence":1}
{
"error": {
"code": "BAD_REQUEST",
"message": "address is required"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds."
}
}Hyperliquid liquidations live stream
GET /v1/liquidations/stream pushes Hyperliquid liquidations as they happen over Server-Sent Events, usually a few seconds behind the chain, with market and size filters and resume on reconnect.
curl --request GET \
--url https://api.ironflow.sh/v1/liquidations/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ironflow.sh/v1/liquidations/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ironflow.sh/v1/liquidations/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/liquidations/stream",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/liquidations/stream"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/liquidations/stream")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/liquidations/stream")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyretry: 3000
: connected
id: 1718400000000-1
event: liquidation
data: {"source":"hyperliquid","market":"BTC-PERP","issuer":"","base_market":"BTC-PERP","market_type":"perp","timestamp":1718400000000,"block_number":12345678,"address":"0xabc123","side":"sell","price":"67380.00","size":"2.5","account_value":"0.00","leverage_type":"cross","bankrupt":false,"sequence":1}
{
"error": {
"code": "BAD_REQUEST",
"message": "address is required"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds."
}
}Authorizations
Ironflow API key, format if_xxxx. Free keys at https://ironflow.sh/key. Optional on read endpoints.
Query Parameters
Comma-separated markets to include (BTC-PERP,flx:GAS-PERP). A
bare coin (BTC) matches its perp. Up to 50. Omit for every
market.
"BTC-PERP,ETH-PERP"
Only liquidations of this wallet.
"0x0000000000000000000000000000000000000001"
Only liquidations of at least this notional (price × size) in USD.
x >= 010000
Resume after this event id (<timestamp>-<sequence>), for clients
that cannot set the Last-Event-ID header. Ids older than 5
minutes are ignored.
"1718400000000-1"
Response
An open event stream. Each data line is a Liquidation.
The response is of type string.